Skip to main content
PATCH
/
:projectId
/
api
/
v7
/
spaces
/
:spaceId
/
comments
/
:commentId
/
moderation
Moderate Comment
curl --request PATCH \
  --url https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/comments/:commentId/moderation \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "<string>",
  "reason": "<string>"
}
'
{
  "message": "<string>",
  "moderationStatus": "<string>"
}
Takes a direct moderation action on a comment in a space. Requires the caller to be a moderator or admin.

Path Parameters

spaceId
string
required
UUID of the space.
commentId
string
required
UUID of the comment to moderate.

Body Parameters

action
string
required
The moderation action: "approve" or "remove".
reason
string
Optional reason for the moderation action. Up to 1,000 characters.

Response

message
string
Confirmation message.
moderationStatus
string
The resulting status: "approved" or "removed".
See also: useModerateSpaceComment